# List all results of a mass action Describes how to get information about the result of a mass action through the REST API. Endpoint: GET /v1/bulk/{bulk-key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `bulk-key` (string, required) String of 32 characters that identifies a mass action. You get the bulk-key after performing a mass action through the REST API. ## Response 200 fields (application/json): - `actionType` (string) Type of mass action. - `endedOn` (string) Date and time that the mass action was completed. The format is yyyy-MM-dd hh:mm:ss. - `errorCount` (string) Total number of failed records. This field is updated in real time. When the mass action status is Processing, this field returns the number of records that have failed so far. When the mass action status is Pending, this field is null. - `inputSize` (integer) Size of the input file in bytes. - `outputSize` (integer) Size of the response file in bytes. - `outputType` (string) Type of output for the response file. The following table describes the output type. | Output Type | Description | |----------------|-------------------------------------| | (url:.csv.zip) | URL pointing to a zipped .csv file. | - `outputURL` (string) URL to download the response file. The response file is a zipped .csv file. The response file is identical to the file you uploaded to perform the mass action, with additional columns providing information about the outcome of each record. This field only returns a value when the mass action status is Completed or Stopped. Otherwise, this field is null. - `processedCount` (string) Total number of processed records. This field is equal to the sum of errorCount and successCount. This field is updated in real time. When the mass action status is Processing, this field returns the number of records that have been processed so far. When the mass action status is Pending, this field is null. - `startedOn` (string) Date and time that Zuora started processing the mass action. The format is yyyy-MM-dd hh:mm:ss. - `status` (string) Status of the mass action. The following table describes the mass action statuses. | Status | Description | |------------|----------------------------------------------------------------------------| | Pending | Mass action has not yet started being processed. | | Processing | Mass action is in progress. | | Stopping | Mass action is in the process of stopping, but has not yet stopped. | | Stopped | Mass action has stopped. | | Completed | Mass action was successfully completed. There may still be failed records. | | Failed | Mass action failed. No records are processed. No response file is created. | - `success` (boolean) Returns true if the request was processed successfully. - `successCount` (string) Total number of successful records. This field is updated in real time. When the mass action status is Processing, this field returns the number of records that have succeeded so far. When the mass action status is Pending, this field is null. - `totalCount` (string) Total number of records in the uploaded mass action file. When the mass action status is Pending, this field is null. - `uploadedBy` (string) Email of the person who uploaded the mass action file. - `uploadedOn` (string) Date and time that the mass action file was uploaded. The format is yyyy-MM-dd hh:mm:ss. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.